/*
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef ART_SRC_COMPILER_COMPILER_INTERNAL_H_
#define ART_SRC_COMPILER_COMPILER_INTERNAL_H_

#include <assert.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>

#include "base/logging.h"
#include "class_linker.h"
#include "codegen/codegen.h"
#include "compiler.h"
#include "compiler_ir.h"
#include "compiler_utility.h"
#include "dex_cache.h"
#include "frontend.h"
#include "gc/card_table.h"
#include "monitor.h"
#include "object.h"
#include "ralloc.h"
#include "thread.h"
#include "utils.h"

#endif  // ART_SRC_COMPILER_COMPILER_INTERNAL_H_
